#
# spec file for package i4l (Version 98.7.18)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp gppshare lx_suse -linclude -linux

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         i4l
Release:      4
Copyright:    Fritz Elfert and more
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.7.18
Summary:      ISDN for Linux
Source: isdn4k-utils-2.1b1.tar.gz
Source1: i4l_suse.tgz
Source2: isdnbar0.5.tar.gz
Patch: isdn4k-utils-2.1b1.dif
Patch1: isdnbar0.5.dif
%description
You need these tools to use an ISDN card under Linux.
An explicite explanation will be found under
/usr/doc/packages/i4l/README.SuSE and in
/usr/doc/packages/i4l/README.Quick. 

Authors:
--------
    Fritz Elfert <fritz@wuemaus.franken.de>
    Karsten Keil <keil@temic-ech.spacenet.de>
    Michael Hipp <Michael.Hipp@student.uni-tuebingen.de>
    Andreas Kool <akool@Kool.f.EUnet.de>
    Ullrich von Bassewitz <uz@musoftware.com>
    Stefan Luethje <luethje@sl-gw.lake.de>
    Carsten Paeth <calle@calle.in-berlin.de>

%package -n i4lfirm
Version:      98.7.18
Summary:      ISDN-firmware for active ISDN-cards
Group:
%description -n i4lfirm
Firmware files for active ISDN-cards (ICN and AVM-B1)

Authors:
--------
    Fritz Elfert <fritz@wuemaus.franken.de>
    Karsten Keil <keil@temic-ech.spacenet.de>
    Michael Hipp <Michael.Hipp@student.uni-tuebingen.de>
    Andreas Kool <akool@Kool.f.EUnet.de>
    Ullrich von Bassewitz <uz@musoftware.com>
    Stefan Luethje <luethje@sl-gw.lake.de>
    Carsten Paeth <calle@calle.in-berlin.de>

%prep
%setup -D -n isdn4k-utils-2.1b1 -b 1 -b 2
%patch
cd ../isdnbar0.5
%patch -P 1
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cd ../isdnbar0.5
make install
Check
%post
#!/bin/sh
#
#
# install/doinst.sh - to be done after extraction
#
# Copyright (c) 1997 S.u.S.E. GmbH Fuerth, Germany.
#
#
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
    bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.i4l
else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.i4l and"
    echo "update by hand."
fi
%files
%config /etc/isdn/callerid.conf
%config /etc/isdn/isdn.conf
%config /etc/isdn/isdnlog.isdnctrl0.options
%config /etc/isdn/i4l-up
%config /etc/isdn/i4l-down
%config /etc/ppp/ioptions
%config /etc/ppp/ip-up
%config /etc/ppp/ip-down
%config /sbin/init.d/i4l
%config /sbin/init.d/i4l_hardware
%config /usr/X11R6/lib/X11/app-defaults/XISDNLoad
%doc /usr/doc/packages/i4l
%doc /usr/man/man1/xisdnload.1x.gz
%doc /usr/man/man1/xmonisdn.1x.gz
%doc /usr/man/man4/isdn_audio.4.gz
%doc /usr/man/man4/isdninfo.4.gz
%doc /usr/man/man4/ttyI.4.gz
%doc /usr/man/man7/isdn_cause.7.gz
%doc /usr/man/man8/avmcapictrl.8.gz
%doc /usr/man/man8/hisaxctrl.8.gz
%doc /usr/man/man8/icnctrl.8.gz
%doc /usr/man/man8/imon.8.gz
%doc /usr/man/man8/ipppd.8.gz
%doc /usr/man/man8/ipppstats.8.gz
%doc /usr/man/man8/iprofd.8.gz
%doc /usr/man/man8/isdnctrl.8.gz
%dir /etc/isdn/
%dir /etc/ppp/
/etc/ppp/ioptions.YaST
/sbin/init.d/rc?.d/*i4l*
/sbin/isdnctrl
/sbin/iprofd
/sbin/icnctrl
/sbin/pcbitctl
/sbin/hisaxctrl
/sbin/avmcapictrl
/sbin/imon
/sbin/imontty
/sbin/isdnlog
/sbin/ipppstats
/sbin/ipppd
/usr/bin/isdnrep
/usr/bin/isdnconf
/usr/bin/xmonisdn
/usr/bin/xisdnload
/usr/X11R6/bin/isdnmon
/usr/X11R6/bin/isdnmonp
/usr/X11R6/bin/isdnbar
/usr/X11R6/bin/isdnwatch
/usr/X11R6/lib/isdnbar
%dir /usr/lib/isdn/
/usr/lib/isdn/areacodes
/var/adm/fillup-templates/rc.config.i4l
%files -n i4lfirm
%dir /usr/lib/isdn
%doc /usr/lib/isdn/README.firmware
/usr/lib/isdn/b1-1tr6.t4
/usr/lib/isdn/b1.t4
/usr/lib/isdn/loadpg.bin
/usr/lib/isdn/pc_1t_ca.bin
/usr/lib/isdn/pc_eu_ca.bin

